utils maps 오류 패키지`com.google.android.gms ... '은 존재하지 않습니다.




3 Answers

Google Play 서비스가 모듈화되었으므로 원하는 패키지를 선택할 수 있습니다.

분석을 추가하려면 다음을 추가하십시오.

compile 'com.google.android.gms:play-services-analytics:7.3.0'

build.gradle 의 의존성 섹션

PS는 7.3.0을 새로운 버전으로 바꾸거나 "+"로 바꾸면 항상 최신 버전을 구할 수 있습니다.

google map sdk for android

나는 안드로이드 개발에 처음이다. Parse.com 백엔드 서비스를 사용하는 법을 배우고 있으며 조기에 걸림돌이됩니다.

나는 Google Maps Android API v2 를 사용하는 응용 프로그램을 작성하는 tutorial 를 따르고 tutorial . 내가 한 것 :

  1. 구문 분석에서 샘플 프로젝트 다운로드
  2. AnyWall-android\Anywall 폴더를 다운로드 한 프로젝트에서 Android Studio로 가져 오기
  3. 프로젝트 재건

그런 다음 여기에 오류가 많이 발생합니다.

import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.GooglePlayServicesClient;
import com.google.android.gms.common.GooglePlayServicesUtil;
import com.google.android.gms.location.LocationClient;
import com.google.android.gms.location.LocationListener;
import com.google.android.gms.location.LocationRequest;
import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap.CancelableCallback;
import com.google.android.gms.maps.GoogleMap.OnCameraChangeListener;
import com.google.android.gms.maps.SupportMapFragment;
import com.google.android.gms.maps.model.BitmapDescriptorFactory;
import com.google.android.gms.maps.model.CameraPosition;
import com.google.android.gms.maps.model.Circle;
import com.google.android.gms.maps.model.CircleOptions;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.LatLngBounds;
import com.google.android.gms.maps.model.Marker;
import com.google.android.gms.maps.model.MarkerOptions;

common , locationmaps 빨간색으로 강조 표시됩니다. 문제는 이러한 오류를 해결하는 방법입니다.

어떤 종류의 도움이나 지침을 주셔서 감사합니다 (누락 된 라이브러리에 관한 것인가? 그렇다면 어떤 라이브러리를 추가해야하며 어디서 가져올 수 있습니까?)




Android Studio에서 Play 서비스 라이브러리를 찾을 수 없다는 불만이 있습니다.

다음 단계에 따라 Google Play 서비스 SDK가 설치되어 있는지 확인합니다 (특히 'Google Play 서비스'와 함께 'Google 리포지토리'가 설치되어 있는지 확인). http://developer.android.com/google/play-services/setup.html#Install

그런 다음 build.gradle의 dependencies{} 블록에 다음이 추가되었는지 확인하십시오.

compile 'com.google.android.gms:play-services:+'

깨끗하고 재건하십시오.




이전 답변이 정확했습니다.

그러나 gradle : 3.0에서 compile 설정은 더 이상 사용되지 않으며 implementation 또는 api 로 대체되어야합니다.

문서 - API 및 구현 분리 에 대한 자세한 내용을 확인하십시오.




Related